/*
 * Secure eXtended Message Passing framework
 * Secure eXtended Transport layer implementation: (libsxt)
 * - very similar to SSH2/TLS
 * - using already proven and tested crypto algos
 * - better than TLS for message passing
 *
 *
 * (c) Alexander Vdolainen 2016 <avdolainen@zoho.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXT_ERRNO_H__
#define __SXT_ERRNO_H__

#define SXT_SUCCESS     (SXT_EBASESHIFT - SXT_EBASESHIFT)
#define SXT_EBASESHIFT  300

#define SXT_ERROR           (SXT_EBASESHIFT + 1)
#define SXT_EPROTO          (SXT_EBASESHIFT + 2)
#define SXT_ESOCKET         (SXT_EBASESHIFT + 3)
#define SXT_EBUSY           (SXT_EBASESHIFT + 4)
#define SXT_EAGAIN          (SXT_EBASESHIFT + 5)
#define SXT_ENOSUCHMSGTYPE  (SXT_EBASESHIFT + 6)
#define SXT_ENOSUCHCHAN     (SXT_EBASESHIFT + 7)
#define SXT_ENORPC          (SXT_EBASESHIFT + 8)
#define SXT_ENOMSG          (SXT_EBASESHIFT + 9)
#define SXT_EPERM           (SXT_EBASESHIFT + 10)
#define SXT_EACCES          (SXT_EBASESHIFT + 11)
#define SXT_ECRYPTO         (SXT_EBASESHIFT + 12)
#define SXT_EAUTH           (SXT_EBASESHIFT + 13)
#define SXT_EKEY            (SXT_EBASESHIFT + 14)
#define SXT_EHASH           (SXT_EBASESHIFT + 15)
#define SXT_ERDBRD          (SXT_EBASESHIFT + 16)
#define SXT_EIO             (SXT_EBASESHIFT + 17)
#define SXT_ETOOBIG         (SXT_EBASESHIFT + 18)
#define SXT_EKEYFMT         (SXT_EBASESHIFT + 19)
#define SXT_EINVAL          (SXT_EBASESHIFT + 22)
#define SXT_ENOMEM          (SXT_EBASESHIFT + 42)

#define SXTerr(n) (n) < 0 : -(n) ? (n)

#endif /* __SXT_ERRNO_H__ */
